# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: ignore_memberships
    category: XC\CanadianTaxes
    type: checkbox
    value: 'Y'
    orderby: 150
    translations:
      - {code: en, option_name: 'Use the same tax rates for all user membership levels'}
    module: XC\CanadianTaxes
  - name: addressType
    category: XC\CanadianTaxes
    type: \XC\CanadianTaxes\View\FormField\AddressType
    value: shipping
    orderby: 160
    translations:
      - {code: en, option_name: 'Address for sales tax calculation'}
    module: XC\CanadianTaxes
  - name: taxableBase
    category: XC\CanadianTaxes
    type: \XC\CanadianTaxes\View\FormField\TaxableBase
    value: DST+SH
    orderby: 170
    translations:
      - {code: en, option_name: 'Taxable base'}
    module: XC\CanadianTaxes
  - name: gstRate
    category: XC\CanadianTaxes
    type: test
    value: 5
    orderby: 180
    translations:
      - {code: en, option_name: 'GST rate (%)'}
    module: XC\CanadianTaxes
  - name: merchant_gst_number
    category: XC\CanadianTaxes
    type: text
    value: ''
    orderby: 190
    translations:
      - {code: en, option_name: 'Merchant GST registration number'}
    module: XC\CanadianTaxes
XLite\Model\Order\Modifier:
  - class: XC\CanadianTaxes\Logic\Order\Modifier\Tax
    weight: 1100
XLite\Model\Country:
  - translations:
      - {code: en, country: Canada}
    id: 124
    code3: CAN
    code: CA
    currency:
      currency_id: 124
    states:
      - {state: Alberta, code: AB}
      - {state: 'British Columbia', code: BC}
      - {state: Manitoba, code: MB}
      - {state: 'New Brunswick', code: NB}
      - {state: 'Newfoundland and Labrador', code: NL}
      - {state: 'Nova Scotia', code: NS}
      - {state: 'Northwest Territories', code: NT}
      - {state: Nunavut, code: NU}
      - {state: Ontario, code: 'ON'}
      - {state: 'Prince Edward Island', code: PE}
      - {state: Quebec, code: QC}
      - {state: Saskatchewan, code: SK}
      - {state: Yukon, code: YT}
XC\CanadianTaxes\Model\Tax:
  - id: 1
    enabled: true
    translations:
      - {code: en, name: 'Canadian taxes'}
      - {code: es, name: 'Impuestos canadienses'}
    rates:
      - {state: {code: AB, country_code: CA}, value: 0}
      - {state: {code: BC, country_code: CA}, value: 7}
      - {state: {code: MB, country_code: CA}, value: 8}
      - {state: {code: NB, country_code: CA}, value: 10}
      - {state: {code: NL, country_code: CA}, value: 10}
      - {state: {code: NT, country_code: CA}, value: 0}
      - {state: {code: NS, country_code: CA}, value: 10}
      - {state: {code: NU, country_code: CA}, value: 0}
      - {state: {code: 'ON', country_code: CA}, value: 8}
      - {state: {code: PE, country_code: CA}, value: 9}
      - {state: {code: QC, country_code: CA}, value: 9.975}
      - {state: {code: SK, country_code: CA}, value: 6}
      - {state: {code: YT, country_code: CA}, value: 0}
XLite\Model\LanguageLabel:
  - name: 'Address for canadian taxes calculation'
    translations:
      - {code: en, label: 'Address for canadian taxes calculation'}
  - name: 'Discounted subtotal'
    translations:
      - {code: en, label: 'Discounted subtotal'}
  - name: 'Discounted subtotal + Shipping cost'
    translations:
      - {code: en, label: 'Discounted subtotal + Shipping cost'}
  - name: 'Provincial tax rates'
    translations:
      - {code: en, label: 'Provincial tax rates'}
  - name: 'Individual settings for every rate'
    translations:
      - {code: en, label: 'Individual settings for every rate'}
  - name: 'New sale tax rate'
    translations:
      - {code: en, label: 'New rate'}
  - name: 'Subtotal + Shipping cost'
    translations:
      - {code: en, label: 'Subtotal + Shipping cost'}
  - name: 'Tax rate has been deleted successfully'
    translations:
      - {code: en, label: 'Tax rate has been deleted successfully'}
  - name: 'Tax rate has not been deleted successfully'
    translations:
      - {code: en, label: 'Tax rate has not been deleted'}
  - name: 'Taxable base'
    translations:
      - {code: en, label: 'Taxable base'}
  - name: 'Tax rates have not yet been created.'
    translations:
      - {code: en, label: 'Tax rates have not yet been created.'}
  - name: 'Use the same tax rates for all user membership levels'
    translations:
      - {code: en, label: 'Use the same tax rates for all user membership levels'}
  - name: 'Canadian taxes'
    translations:
      - {code: en, label: 'Canadian taxes'}
  - name: 'GST rate (%)'
    translations:
      - {code: en, label: 'GST rate (%)'}
  - name: 'Merchant GST registration number'
    translations:
      - {code: en, label: 'Merchant GST registration number'}
  - name: 'If specified this value will be displayed on invoices of orders with GST/PST applied'
    translations:
      - {code: en, label: 'If specified, this value will be displayed on the invoices of orders with GST/PST applied'}
  - name: Province
    translations:
      - {code: en, label: Province}
  - name: 'Provincial rate'
    translations:
      - {code: en, label: 'Provincial rate'}
  - name: 'Tax type'
    translations:
      - {code: en, label: 'Tax type'}
  - name: 'New tax rate'
    translations:
      - {code: en, label: 'New tax rate'}
